Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.tree
Class StemCounter

    java.lang.Object
      net.sourceforge.arbaro.tree.DefaultTreeTraversal
          net.sourceforge.arbaro.tree.StemCounter

All Implemented Interfaces:
  TreeTraversal

    public class StemCounter

extends DefaultTreeTraversal

Counts the number of stems of a tree using the TreeTraversal interface

Author:
  wolfram

Constructor Summary
`StemCounter()`

Method Summary
`boolean` | `enterStem(Stem stem)` going into a Stem
`boolean` | `enterTree(Tree tree)` going into a Tree
`long` | `getStemCount()`
`boolean` | `visitLeaf(Leaf leaf)` passing a Leaf

Methods inherited from class net.sourceforge.arbaro.tree.DefaultTreeTraversal
`leaveStem, leaveTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StemCounter

    public StemCounter()

Method Detail

### getStemCount

    public long getStemCount()

### enterStem

    public boolean enterStem(Stem stem)

  Description copied from interface: `TreeTraversal`
  going into a Stem

  Specified by:
    `enterStem` in interface `TreeTraversal`
  Overrides:
    `enterStem` in class `DefaultTreeTraversal`
  Returns:
    when false, stop traversal at this level

### enterTree

    public boolean enterTree(Tree tree)

  Description copied from interface: `TreeTraversal`
  going into a Tree

  Specified by:
    `enterTree` in interface `TreeTraversal`
  Overrides:
    `enterTree` in class `DefaultTreeTraversal`
  Returns:
    when false, stop traversal at this level

### visitLeaf

    public boolean visitLeaf(Leaf leaf)

  Description copied from interface: `TreeTraversal`
  passing a Leaf

  Specified by:
    `visitLeaf` in interface `TreeTraversal`
  Overrides:
    `visitLeaf` in class `DefaultTreeTraversal`
  Returns:
    when false, stop traversal at this level

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD